StatsHub Docs
APIAPI v2V2 endpoint referenceTeams

/teams/{teamId}/player-fixture-statistics

List a team's per-fixture player statistics

GET
/teams/{teamId}/player-fixture-statistics

List a team's per-fixture player statistics

Path Parameters

teamId*string

Opaque resource ID

Match^[1-9][0-9]*$

Query Parameters

limit?integer

Maximum resources to return; defaults to 25

Range1 <= value <= 100
Default25
after?string

Opaque cursor for the next page

before?string

Opaque cursor for the previous page

competitionId?string

Filter by competition

Match^[1-9][0-9]*$
seasonId?string

Filter by season

Match^[1-9][0-9]*$
status?string

Filter by fixture status

Value in

  • "scheduled"
  • "live"
  • "finished"
  • "postponed"
  • "cancelled"
  • "unknown"
venue?string

Restrict to the team's home or away fixtures

Value in

  • "home"
  • "away"
  • "any"
opponentId?string

Filter by the opposing team

Match^[1-9][0-9]*$
playerId?string

Filter by player

Match^[1-9][0-9]*$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/teams/string/player-fixture-statistics"
{  "data": [    {      "fixture": {        "id": "string",        "name": "string",        "slug": "string"      },      "home": true,      "kickoffAt": "2019-08-24T14:15:22Z",      "opponent": {        "id": "string",        "name": "string",        "slug": "string"      },      "player": {        "id": "string",        "name": "string",        "slug": "string"      },      "position": "string",      "statistics": {        "accurateCross": 0,        "accurateLongBalls": 0,        "accuratePass": 0,        "aerialWon": 0,        "bigChanceCreated": 0,        "blockedScoringAttempt": 0,        "challengeLost": 0,        "dispossessed": 0,        "duelLost": 0,        "duelWon": 0,        "expectedAssists": "string",        "expectedGoals": "string",        "expectedGoalsAndAssists": "string",        "foulInvolvements": 0,        "fouls": 0,        "goalAssist": 0,        "goals": 0,        "interceptionWon": 0,        "keyPass": 0,        "minutesPlayed": 0,        "npExpectedGoals": "string",        "npExpectedGoalsPer90": "string",        "onTargetScoringAttempt": 0,        "possessionLostCtrl": 0,        "rating": "string",        "redCard": 0,        "saves": 0,        "scoredOrAssisted": 0,        "shotOffTarget": 0,        "shots": 0,        "substitutedIn": 0,        "substitutedOut": 0,        "totalClearance": 0,        "totalCross": 0,        "totalLongBalls": 0,        "totalOffside": 0,        "totalPass": 0,        "totalTackle": 0,        "touches": 0,        "wasFouled": 0,        "wonContest": 0,        "yellowCard": 0      }    }  ],  "links": {    "next": "string",    "previous": "string",    "self": "string"  },  "page": {    "hasNext": true,    "hasPrevious": true,    "limit": 0,    "nextCursor": "string",    "previousCursor": "string"  }}